Bug 11818 - Conflicts with imp package
: Conflicts with imp package
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/horde-imp)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
: relnote
:
:
  Show dependency tree
 
Reported: 2007-05-20 02:18 by
Modified: 2008-12-14 08:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-20 02:18:32
Package missing Conflicts: imp in .spec. Without this option we have package
intersections during dist-upgrade:

$ apt-get install horde-imp
...
file /var/www/html/addon-modules/horde/imp/templates/prefs/trashselect.inc from
install of horde-imp-4.1.4-alt2 conflicts with file from package imp-3.2.6-alt1
file /var/www/html/addon-modules/horde/imp/templates/search/javascript.inc from
install of horde-imp-4.1.4-alt2 conflicts with file from package imp-3.2.6-alt1
file /var/www/html/addon-modules/horde/imp/templates/search/main.inc from
install of horde-imp-4.1.4-alt2 conflicts with file from package imp-3.2.6-alt1
file /var/www/html/addon-modules/horde/imp/test.php from install of
horde-imp-4.1.4-alt2 conflicts with file from package imp-3.2.6-alt1
file /var/www/html/addon-modules/horde/imp/view.php from install of
horde-imp-4.1.4-alt2 conflicts with file from package imp-3.2.6-alt1
E: Error while running transaction

Steps to Reproduce:
1. apt-get install imp (from old Sisyphus archive)
2. apt-get update (to current Sisyphus)
3. apt-get install horde-imp
Actual Results:  
conflicting files in packages.

Expected Results:  
seamless upgrade/or plain conflicts between packages.
------- Comment #1 From 2007-05-21 11:50:24 -------
Horde-imp will be rename to HordeN-imp. N is nubmer of version.
------- Comment #2 From 2008-12-14 08:54:08 -------
fixed